"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
var style = {
    mdOverlay: {
        position: "fixed",
        width: "100%",
        height: "100%",
        top: "0",
        left: "0",
        zIndex: "1000",
        background: "rgba(0,0,0,0.54)",
        transition: "all 0.3s",
        visibility: "hidden",
        opacity: "0"
    },
    mdModal: {
        position: "fixed",
        top: '50%',
        left: '50%',
        width: '50%',
        maxWidth: '39.375rem',
        minWidth: "20rem",
        height: "auto",
        zIndex: "2000",
        transform: "translateX(-50%) translateY(-50%)"
    },
    mdContent: {
        position: "relative",
        margin: "0 auto",
        transition: "all 0.3s",
        opacity: "0",
        color: "rgba(0, 0, 0, 0.87)",
        backgroundColor: "rgb(255, 255, 255)",
        boxSizing: "border-box",
        fontFamily: "Roboto, sans-serif",
        WebkitTapHighlightColor: "rgba(0, 0, 0, 0)",
        boxShadow: "rgba(0, 0, 0, 0.25) 0 0.875rem 2.8125rem, rgba(0, 0, 0, 0.22) 0 0.625rem 1.125rem",
        borderRadius: "0.125rem"
    },
    mdTitle: {
        margin: "0",
        padding: "1.5rem 1.5rem 1.25rem",
        opacity: "0.8",
        borderRadius: "0.1875rem 0.1875rem 0 0",
        color: "rgba(0, 0, 0, 0.87)",
        fontSize: "2rem",
        fontWeight: "400"
    },
    mdBody: {
        margin: "0",
        fontSize: "1.15em",
        color: "rgba(0, 0, 0, 0.6)",
        padding: "0 1.5rem 1.5rem",
        boxSizing: "border-box",
        //overflowY: "hidden",
        width: "100%"
    },
    mdShowOverlay: {
        visibility: "visible",
        opacity: "1"
    },
    mdAction: {
        boxSizing: "border-box",
        padding: "0.5rem",
        width: "100%",
        textAlign: "right",
        marginTop: "0"
    }
};

var transformStyle = {
    FadeIn: {
        F: { transform: "scale(0.7)", opacity: "0" },
        S: { transform: "scale(1)", opacity: "1" }
    },
    SlideInRight: {
        F: { transform: "translateX(20%)", opacity: "0" },
        S: { transform: "translateX(0)", opacity: "1" }
    },
    SlideInBottom: {
        F: { transform: "translateY(20%)", opacity: "0" },
        S: { transform: "translateY(0)", opacity: "1" }
    },
    SlideInTop: {
        F: { transform: "translateY(-20%)", opacity: "0" },
        S: { transform: "translateY(0)", opacity: "1" }
    }
};

exports.style = style;
exports.transformStyle = transformStyle;
//# sourceMappingURL=style.js.map